Interface SqlInstancesRotateServerCertificateRequestOrBuilder (0.1.0)

public interface SqlInstancesRotateServerCertificateRequestOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getBody()

public abstract InstancesRotateServerCertificateRequest getBody()

Optional. Rotate server certificate request body.

.google.cloud.sql.v1.InstancesRotateServerCertificateRequest body = 100 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
InstancesRotateServerCertificateRequest

The body.

getBodyOrBuilder()

public abstract InstancesRotateServerCertificateRequestOrBuilder getBodyOrBuilder()

Optional. Rotate server certificate request body.

.google.cloud.sql.v1.InstancesRotateServerCertificateRequest body = 100 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
InstancesRotateServerCertificateRequestOrBuilder

getInstance()

public abstract String getInstance()

Required. Cloud SQL instance ID. This does not include the project ID.

string instance = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
String

The instance.

getInstanceBytes()

public abstract ByteString getInstanceBytes()

Required. Cloud SQL instance ID. This does not include the project ID.

string instance = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
ByteString

The bytes for instance.

getProject()

public abstract String getProject()

Required. Project ID of the project that contains the instance.

string project = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
String

The project.

getProjectBytes()

public abstract ByteString getProjectBytes()

Required. Project ID of the project that contains the instance.

string project = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
ByteString

The bytes for project.

hasBody()

public abstract boolean hasBody()

Optional. Rotate server certificate request body.

.google.cloud.sql.v1.InstancesRotateServerCertificateRequest body = 100 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
boolean

Whether the body field is set.